FTOK(3)

NAME
ftok - create IPC identifier from path name

LIBRARY
libc

SYNOPSIS
#include <sys/types.h>
#include <sys/ipc.h>
key_t
ftok(const char *path, int id);

DESCRIPTION
This function is available from the compatibility library, libcompat. The ftok() function attempts to create a unique key suitable for use with the msgget(3), semget(2) and shmget(2) functions given the path of an existing file and a user-selectable id.

The specified path must specify an existing file that is accessible to the calling process or the call will fail. Also, note that links to files will return the same key, given the same id.

RETURN VALUES
The ftok() function will return -1 if path does not exist or if it cannot be accessed by the calling process.

SEE ALSO
semget(2), shmget(2), msgget(3)

HISTORY
The ftok() function originates with System V and is typically used by programs that use the System V IPC routines.

AUTHORS
Thorsten Lockert <tholo@sigmasoft.com>

BUGS
The returned key is computed based on the device minor number and inode of the specified path in combination with the lower 8 bits of the given id. Thus it is quite possible for the routine to return duplicate keys.